# ApplicationFramework
TKCDF
CDF

# CDF_Directory Class Reference

A directory is a collection of documents. There is only one instance
of a given document in a directory.
put.
.

`#include <CDF_Directory.hxx>`

## Public Member Functions

Standard_EXPORT | CDF_Directory ()
| Creates an empty directory. .
Standard_EXPORT void | Add (const Handle(CDM_Document)&aDocument)
| adds a document into the directory.
Standard_EXPORT void | Remove (const Handle(CDM_Document)&aDocument)
| removes the document.
Standard_EXPORT Standard_Boolean | Contains (const Handle(CDM_Document)&aDocument) const
| Returns true if the document aDocument is in the directory .
Standard_EXPORT Handle_CDM_Document | Last ()
| returns the last document (if any) which has been added in the directory.
Standard_EXPORT Standard_Integer | Length () const
| returns the number of documents of the directory.
Standard_EXPORT Standard_Boolean | IsEmpty () const
| returns true if the directory is empty.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT const CDM_ListOfDocument & | List () const

## Private Attributes

CDM_ListOfDocument | myDocuments

## Constructor & Destructor Documentation

Standard_EXPORT CDF_Directory::CDF_Directory | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void CDF_Directory::Add | ( | const Handle(CDM_Document)& | aDocument | ) |

Standard_EXPORT Standard_Boolean CDF_Directory::Contains | ( | const Handle(CDM_Document)& | aDocument | ) | const

Standard_EXPORT const CDF_Directory::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean CDF_Directory::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_CDM_Document CDF_Directory::Last | ( |  | ) |

Standard_EXPORT Standard_Integer CDF_Directory::Length | ( |  | ) | const

Standard_EXPORT const CDM_ListOfDocument& CDF_Directory::List | ( |  | ) | const`[private]`

Standard_EXPORT void CDF_Directory::Remove | ( | const Handle(CDM_Document)& | aDocument | ) |

## Field Documentation

CDM_ListOfDocument CDF_Directory::myDocuments `[private]`

The documentation for this class was generated from the following file:

- CDF_Directory.hxx